Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354422 - Regression tests do not set the right paths
Summary: Regression tests do not set the right paths
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nigel Babu
QA Contact:
URL: http://review.gluster.org/#/c/14748/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 09:48 UTC by Nigel Babu
Modified: 2016-07-13 09:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-13 09:28:31 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Nigel Babu 2016-07-11 09:48:51 UTC
For regression tests, we do not install glusterfs in the right path, so we need to set the following paths: PKG_CONFIG_PATH, LIBRARY_PATH, C_INCLUDE_PATH.

This is causing the review in URL to fail.

Comment 1 Nigel Babu 2016-07-11 09:49:20 UTC
What should be the value for these variables?

Comment 2 Poornima G 2016-07-12 09:09:17 UTC
Nigel,

If the chroot of source install is /build/install, then:
export PKG_CONFIG_PATH="/build/install/lib/pkgconfig" needs to be set on all the slaves.

LIBRARY_PATH, C_INCLUDE_PATH are not required as PKG_CONFIG_PATH will have the path for lib and header

Comment 3 Poornima G 2016-07-12 14:36:54 UTC
Is it defined on all the slaves? I have retriggered couple of times, and the behavior is different on each slave.

Comment 4 Nigel Babu 2016-07-12 14:45:30 UTC
I've set it on the job itself, rather than the machine. So it should work across all machines.

Comment 5 Nigel Babu 2016-07-13 09:28:31 UTC
According to ndevos on the review, this is not needed anymore. Reverted the script change on the rackspace-regression-2gb-triggered job.

Closing this bug.


Note You need to log in before you can comment on or make changes to this bug.